Upload File
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
Query parameters
When true, converts the uploaded file to PDF. Supported file types include images (JPEG, PNG, TIFF, GIF, BMP, WebP, HEIC/HEIF), Word documents, PowerPoint, Excel, and HTML.
Request
The password to unlock a password-protected PDF.
Response
The type of object. Will always be "file".
ID for the file.
Example: "file_xK9mLPqRtN3vS8wF5hB2cQ"
The name of the file
Example: "Invoices.pdf"
The type of the file.
Availability: Present when the file type could be determined.
A presigned URL to download the file. Expires after 15 minutes.
Availability: Present on GET /files/{id}. Not present on POST /files/upload or when the file is embedded in other resources (e.g., in run responses).
ID of the parent file.
Availability: Present for files created via a Splitter in a workflow.
The time (in UTC) at which the object was created. Will follow the RFC 3339 format.
Example: "2024-03-21T16:45:00Z"
The time (in UTC) at which the object was last updated. Will follow the RFC 3339 format.
Example: "2024-03-21T16:45:00Z"
Deprecated: Use the POST /parse_runs endpoint instead to parse and retrieve file contents. The parse runs endpoint provides more control over parsing configuration and better performance.
The parsed content of the file. This field will only contain data after the file has been parsed via a parse run, extract run, classify run, split run, edit run, or workflow run.
Availability: Only present and populated on GET /files/{id} when the file has been previously parsed and the corresponding query parameters are set to true. Will be null on POST /files/upload and for files that havenβt been parsed. The structure varies based on file type.

